Native Template 5.0.2 - maps widget not working on Android

4
Hey Community,  on a native mobile app for android, the “Maps” widget seems to be dysfunctional: Native Template Version: 5.0.2 Studio Pro Version: 8.13.1   When running the app on the phone, it just shows an empty space instead of the map:   The Logcat from Android studio shows the following: 2020-09-19 14:01:07.247 28894-28894/com.mycompany.myapp I/Google Maps Android API: Google Play services client version: 12451000 2020-09-19 14:01:07.260 28894-28894/com.mycompany.myapp I/Google Maps Android API: Google Play services package version: 203315028 ...skipping some lines here... 2020-09-19 14:01:08.237 28894-29572/com.mycompany.myapp E/Google Maps Android API: Authorization failure. Please see https://developers.google.com/maps/documentation/android-api/start for how to correctly set up the map. 2020-09-19 14:01:08.241 28894-29572/com.mycompany.myapp E/Google Maps Android API: In the Google Developer Console (https://console.developers.google.com) Ensure that the "Google Maps Android API v2" is enabled. Ensure that the following Android Key exists: API Key: Android Application (<cert_fingerprint>;<package_name>): xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx;com.mycompany.myapp The map widget complains about a wrong API version and a missing API key. But neither you can enter a API-key for the native widget nor you can select a “Google Maps Android API V2”. There are no such input fields for the parameters available in the native maps widget. The very same app running in “Make it Native” looks like it should:   Smells like a bug to me – has anyone experienced the same problem and knows a workaround for this?   Thx,  Franz
asked
1 answers
-2

You need a key from Google to use Maps. Without it, it will only work on the make it native app, but not on a production build. You have to add the key to your Android manifest. 

https://developers.google.com/maps/documentation/android-sdk/get-api-key

answered